Removed the deprecated Travis CI configuration.

This commit is contained in:
Ivan Davidov 2021-07-22 05:27:42 +03:00
parent b5271985e3
commit 4393977a3c
7 changed files with 0 additions and 177 deletions

View File

@ -1,20 +0,0 @@
---
language: generic
os: linux
dist: xenial
sudo: required
addons:
apt:
sources:
- docker-xenial
packages:
- docker
services:
- docker
script:
- cd travis && ./travis-ci.sh

View File

@ -1,9 +0,0 @@
#!/bin/sh
# This script shuts down the OS after one minute.
sleep 30 && poweroff &
cat << CEOF
 Minimal Linux Live will shut down in 30 seconds.
CEOF

View File

@ -1,45 +0,0 @@
#!/bin/sh
# This script is supposed to be executed by Travis CI.
set -e
cd ../src
sudo apt-get -qq -y install wget make gawk gcc bc xz-utils bison flex xorriso libelf-dev libssl-dev
PREFIXES="00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16"
for PREFIX in ${PREFIXES}
do
SCRIPTS=`ls ${PREFIX}_*.sh`
for SCRIPT in ${SCRIPTS}
do
echo "`date` | Running script '${SCRIPT}'."
set +e
./${SCRIPT} > /tmp/mll.log 2>&1
set -e
if [ "$?" = "0" ] ; then
echo "`date` | Success."
tail -n 40 /tmp/mll.log
echo "*** *** ***"
else
echo "`date` | !!! FAILURE !!!"
tail -n 1000 /tmp/mll.log
exit 1
fi
done
done
cat << CEOF
######################
# #
# MLL build is OK. #
# #
######################
CEOF
set +e

View File

@ -1,6 +0,0 @@
SERIAL 0
DEFAULT operatingsystem
LABEL operatingsystem
LINUX /boot/kernel.xz
APPEND console=tty0 console=ttyS0
INITRD /boot/rootfs.xz

View File

@ -1,27 +0,0 @@
#!/bin/sh
# This script is supposed to be executed by Travis CI.
set -e
cd ../src
echo "`date` | *** MLL Docker test - BEGIN ***"
docker import mll_image.tgz minimal-linux-live:latest
docker run minimal-linux-live /bin/cat /etc/motd
echo "`date` | *** MLL Docker test - END ***"
cat << CEOF
#########################
# #
# Docker test passed. #
# #
#########################
CEOF
set +e

View File

@ -1,47 +0,0 @@
#!/bin/sh
# This script is supposed to be executed by Travis CI.
set -e
cd ../src
sudo apt-get -qq -y install qemu
echo "`date` | *** MLL QEMU test - BEGIN ***"
qemu-system-x86_64 -m 256M -cdrom minimal_linux_live.iso -boot d -localtime -nographic &
sleep 5
if [ "`ps -ef | grep -i [q]emu-system-x86_64`" = "" ] ; then
echo "`date` | !!! FAILURE !!! Minimal Linux Live is not running in QEMU."
exit 1
else
echo "`date` | Minimal Linux Live is running in QEMU. Waiting 120 seconds for automatic shutdown."
fi
sleep 120
if [ "`ps -ef | grep -i [q]emu-system-x86_64`" = "" ] ; then
echo "`date` | Minimal Linux Live is not running in QEMU."
else
echo "`date` | !!! FAILURE !!! Minimal Linux Live is still running in QEMU."
ps -ef | grep -i [q]emu-system-x86_64
exit 1
fi
echo "`date` | *** MLL QEMU test - END ***"
cat << CEOF
#######################
# #
# QEMU test passed. #
# #
#######################
CEOF
set +e

View File

@ -1,23 +0,0 @@
#!/bin/sh
# This script is supposed to be executed by Travis CI.
set -e
# Apply Travis specific patches
mkdir -p ../src/minimal_overlay/rootfs/etc/autorun
cp 99_autoshutdown.sh ../src/minimal_overlay/rootfs/etc/autorun
cp -f syslinux.cfg ../src/minimal_boot/bios/boot/syslinux/syslinux.cfg
sed -i "s|OVERLAY_LOCATION.*|OVERLAY_LOCATION=rootfs|" ../src/.config
while true; do sleep 300; echo "`date` | >>> Heartbeat <<<"; done &
sudo apt-get -qq -y update
sudo apt-get -qq -y upgrade
./build_mll.sh
./test_docker.sh
./test_qemu.sh
set +e